# Partially update a Listening Topic.

Endpoint: PATCH /listening/topic
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `id` (string)
    Topic id

## Request fields (application/json):

  - `name` (string)
    Listening Topic name

  - `displayName` (string)
    Listening Topic display name

  - `topicType` (string)
    Listening Topic type

  - `topicGroupId` (string)
    Topic Group ID

  - `query` (string)
    Keyword query

  - `sources` (array)
    Sources to grab data from

  - `enabled` (boolean)
    Enable live data fetching

  - `startDate` (integer)

  - `endDate` (integer)

  - `tags` (array)
    Tags

  - `description` (string)
    Description

  - `iconUrl` (string)
    Icon URL

  - `imageUrl` (string)
    Image URL

  - `color` (string)
    Color

  - `languageCodes` (array)
    Language codes

  - `countryCodes` (array)
    Country codes

  - `locations` (array)
    Locations

  - `locations.name` (string, required)
    Location name

  - `locations.latitude` (number, required)
    Latitude value for Point Location

  - `locations.longitude` (number, required)
    Longitude value for Point Location

  - `locations.radius` (number, required)
    Radius value for Point Location

  - `locations.unit` (string, required)
    Unit for Point Location, possible values : km for Kilometer and mi for Miles

  - `blockedDomains` (array)
    Blocked domains

  - `blockedDomainsListIds` (array)
    Blocked domain list IDs

  - `blockedClientProfileLists` (array)
    Blocked client profile lists

  - `blockedPartnerProfileLists` (array)
    Blocked partner profile lists

  - `blockedCountryCodes` (array)
    Blocked country codes

  - `blockedLanguageCodes` (array)
    Blocked language codes

  - `inclusiveDomains` (array)
    Inclusive domains

  - `inclusiveDomainsListIds` (array)
    Inclusive domain list IDs

  - `inclusiveClientProfileLists` (array)
    Inclusive client profile lists

  - `inclusivePartnerProfileLists` (array)
    Inclusive partner profile lists

  - `generatingSourceList` (array)
    Generating source list IDs

  - `generatingSources` (array)
    Generating sources

  - `blockedGeneratingSourceList` (array)
    Blocked generating source list IDs

  - `blockedGeneratingSources` (array)
    Blocked generating sources

  - `accountIds` (array)
    Account IDs

  - `accountGroupIds` (array)
    Account group IDs

  - `excludeRetweets` (boolean)
    Exclude retweets

  - `matchQuotedRetweets` (boolean)
    Match quoted retweets

  - `excludePossiblySensitiveContent` (boolean)
    Exclude possibly sensitive content

  - `excludeUrlsInSearch` (boolean)
    Exclude URLs in search

  - `onlyVerifiedUser` (boolean)
    Only verified users

  - `minimumFollowerCount` (integer)
    Minimum follower count

  - `minimumMozRank` (number)
    Minimum Moz rank

  - `maximumMozSpamScore` (integer)
    Maximum Moz spam score

  - `maximumAlexaRank` (integer)
    Maximum Alexa rank

  - `dataVolumeThresholdApiConfig` (object)
    Data volume threshold config

  - `dataVolumeThresholdApiConfig.duration` (integer, required)
    Listening Topic grabbing duration

  - `dataVolumeThresholdApiConfig.durationUnit` (string, required)
    Listening Topic grabbing duration unit, possible values :  DAY, MONTH, YEAR, LIFETIME
    Enum: "DAY"

  - `dataVolumeThresholdApiConfig.maxMentionCount` (integer, required)
    Threshold on maximum messages that listening topic can grab in above duration

  - `dataVolumeThresholdApiConfig.resetStartDate` (boolean)
    Listening Topic data volume start date in epoch time

  - `dataVolumeThresholdApiConfig.userIdsToNotify` (array)
    User IDs to notify

  - `dataVolumeThresholdApiConfig.emailIdsToNotify` (array)
    Emails IDs to notify

  - `dataVolumeThresholdApiConfig.userGroupIdsToNotify` (array)
    User Group IDs to notify

  - `partnerCustomProperties` (object)
    Partner custom properties

  - `clientId` (integer)
    Listening topic client id

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

